module.exports = {
  title: "NetCheck device config schemes"

  NetCheckDevice: {
    title: "NetCheckDevice config options"
    type: "object"
    properties:
      networkIpAddresses:
        description: "Array mit IP-Adressen oder Hostnamen von Netwerkgeräten, die geprüft werden."
        type: "array"
        items:
          description: "Es kann jede IPv4-Adresse (z.B. 192.168.0.1) oder ein Hostname (z.B. crycode.de) verwendet werden."
          type: "string"
      bluetoothMacAddresses:
        description: "Array mit MAC-Adressen von Bluetooth-Geräten, die geprüft werden. Leer lassen, wenn kein Bluetooth genutzt wird."
        type: "array"
        items:
          description: "Es kann jede MAC-Adresse eines gekoppelten Bluetooth-Gerätes verwendet werden (z.B. BA:BE:13:37:BE:EF)."
          type: "string"
      needAll:
        description: "Müssen alle Geräte anwesend sein?"
        type: "boolean"
        default: true
      checkInterval:
        description: "Intervall in Millisekunden für eine geplante automatische Prüfung. Standard oder 0 zum deaktivieren der automatischen Prüfung."
        type: "number"
        default: 0
      bluetoothDevice:
        description: "Das verwendete Hardware-Gerät für Bluetooth-Prüfungen."
        type: "string"
        default: "hci0"
      bluetoothUseSudo:
        description: "Verwende 'sudo' für Bluetooth-Prüfungen? Wird benötigt, wenn Pimatic nicht als root gestartet wird."
        type: "boolean"
        default: false
      pingTimeout:
        description: "Timeout in Sekunden für einen Ping."
        type: "number"
        default: 2
  }

}
