module.exports = {
  title: "NetCheck device config schemes"

  NetCheckDevice: {
    title: "NetCheckDevice config options"
    type: "object"
    properties:
      networkIpAddresses:
        description: "Array of IP addresses of network devices which will be checked."
        type: "array"
        items:
          description: "You may use any IPv4 address (e.g. 192.168.0.1) or hostname (e.g. crycode.de)."
          type: "string"
      bluetoothMacAddresses:
        description: "Array of MAC addresses of bluetooth devices which will be checked. Leave blank if you have no bluetooth."
        type: "array"
        items:
          description: "You may use any MAC address of a paired bluetooth device (e.g. BA:BE:13:37:BE:EF)."
          type: "string"
      needAll:
        description: "Do we need all devices to be present to succeed?"
        type: "boolean"
        default: true
      checkInterval:
        description: "Interval in milliseconds for a scheduled automatic check. Use default or 0 to disable automatic checking."
        type: "number"
        default: 0
      bluetoothDevice:
        description: "The used hardware device for the bluetooth checks."
        type: "string"
        default: "hci0"
      bluetoothUseSudo:
        description: "Use 'sudo' for bluetooth checking? Needed if pimatic isn't started as root."
        type: "boolean"
        default: false
      pingTimeout:
        description: "Timeout in seconds for a ping."
        type: "number"
        default: 2
  }

}
